Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class EnterRequest

    java.lang.Object
      |
      +--com.ibm.cics.server.API
            |
            +--com.ibm.cics.server.EnterRequest

public class EnterRequest
extends API
implements java.io.Serializable

This class provides the interface to the EXEC CICS ENTER APIs.

Constructor Summary
`EnterRequest()` Not Implemented.

Method Summary
`void` | `enterTrace()` Not Implemented.
`void` | `enterTrace(byte[] data)` Not Implemented.
`java.lang.String` | `getResource()` Not Implemented.
`short` | `getTraceIdentifier()` Not Implemented.
`boolean` | `isException()` Not Implemented.
`void` | `setException(boolean traceException)` Not Implemented.
`void` | `setResource(java.lang.String resource)` Not Implemented.
`void` | `setTraceIdentifier(short traceId)` Not Implemented.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnterRequest

    public EnterRequest()

  This method is not implemented in this release.

Method Detail

### enterTrace

    public void enterTrace()
                    throws InvalidRequestException,
                           LengthErrorException

  This method is not implemented in this release.
  Perform a trace entry request.

### enterTrace

    public void enterTrace(byte[] data)
                    throws InvalidRequestException,
                           LengthErrorException

  This method is not implemented in this release.
  Perform a trace entry request with the supplied data.

### getResource

    public java.lang.String getResource()

  This method is not implemented in this release.

### getTraceIdentifier

    public short getTraceIdentifier()

  This method is not implemented in this release.

### isException

    public boolean isException()

  This method is not implemented in this release.

### setException

    public void setException(boolean traceException)

  This method is not implemented in this release.

### setResource

    public void setResource(java.lang.String resource)

  This method is not implemented in this release.

### setTraceIdentifier

    public void setTraceIdentifier(short traceId)

  This method is not implemented in this release.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002 by Sun Microsystems, Inc.